Skip to main content
PUT
/
v1
/
product-collections
/
{productCollectionId}
curl --request PUT \ --url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \ --header 'Content-Type: application/json' \ --header 'X-App-Id: <api-key>' \ --header 'X-App-Token: <api-key>' \ --data ' { "name": "New static collection name" } '
{ "id": "pc_bQ2p9TycbEhd3YzwFCR3JQYA", "name": "Shirts", "type": "STATIC", "products": [ { "id": "prod_0a9f9aeddb019a42db", "object": "product" }, { "id": "prod_0a9f9ab4ab019a42d5", "object": "product" } ], "created_at": "2022-02-28T11:42:12.484Z", "updated_at": "2026-02-23T17:43:22.384Z", "object": "products_collection" }

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

productCollectionId
string
required

A unique product collection ID.

Example:

"pc_41V4DiQQO8YGqj0J2oZD57j4"

Body

application/json

Specify the parameters to be updated.

Request body schema for PUT v1/product-collections/{productCollectionId}.

name
string
required

Unique user-defined product collection name.

Response

Returns a product collection object if a valid identifier was provided in the path.

Response body schema for PUT v1/product-collections/{productCollectionId}.

id
string
required

Product collection ID.

name
string
required

Unique user-defined product collection name.

Example:

"All Products"

type
enum<string>
required

Describes whether the product collection is dynamic (products come in and leave based on set criteria) or static (manually selected products).

Available options:
STATIC,
AUTO_UPDATE
created_at
string<date-time>
required

Timestamp representing the date and time when the product collection was created. The value is shown in the ISO 8601 format.

Example:

"2021-12-09T12:51:29.898Z"

object
enum<string>
default:products_collection
required

The type of the object represented by JSON. This object stores information about the static product collection.

Available options:
products_collection
filter
object

Defines a set of criteria and boundary conditions for an AUTO_UPDATE product collection type.

products
Product Collections Item Products Item · object[]

Defines a set of products for a STATIC product collection type.

updated_at
string<date-time>

Timestamp representing the date and time when the product collection was last updated. The value is shown in the ISO 8601 format.

Example:

"2022-04-26T08:35:54.960Z"

Last modified on March 17, 2026